RADICALE(1)

NAME
radicale - a simple calendar server

DESCRIPTION
usage: radicale [OPTIONS]

  options:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

--verify-storage
    check the storage for errors and exit

-C [CONFIG ...], --config [CONFIG ...]
    use specific configuration files

-D, --debug
    print debug information

  server:

-H VALUE, --hosts VALUE, --server-hosts VALUE
    set server hostnames including ports

--server-max-connections VALUE
    maximum number of parallel connections

--server-max-content-length VALUE
    maximum size of request body in bytes

--server-timeout VALUE
    socket timeout

-s [VALUE], --ssl [VALUE], --server-ssl [VALUE]
    use SSL connection

-S, --no-ssl, --no-server-ssl
    do not use SSL connection (opposite of --server-ssl)

-c VALUE, --certificate VALUE, --server-certificate VALUE
    set certificate file

-k VALUE, --key VALUE, --server-key VALUE
    set private key file

--certificate-authority VALUE, --server-certificate-authority VALUE
    set CA certificate for validating clients

  encoding:

--encoding-request VALUE
    encoding for responding requests

--encoding-stock VALUE
    encoding for storing local collections

  auth:

    backend specific options omitted

--auth-type VALUE
    authentication method

--auth-htpasswd-filename VALUE
    htpasswd filename

--auth-htpasswd-encryption VALUE
    htpasswd encryption method

--auth-realm VALUE
    message displayed when a password is needed

--auth-delay VALUE
    incorrect authentication delay

  rights:

    backend specific options omitted

--rights-type VALUE
    rights backend

--rights-file VALUE
    file for rights management from_file

  storage:

    backend specific options omitted

--storage-type VALUE
    storage backend

--storage-filesystem-folder VALUE
    path where collections are stored

--storage-max-sync-token-age VALUE
    delete sync token that are older

--storage-hook VALUE
    command that is run after changes to storage

  web:

    backend specific options omitted

--web-type VALUE
    web interface backend

  logging:

--logging-level VALUE
    threshold for the logger

--logging-mask-passwords [VALUE]
    mask passwords in logs

--no-logging-mask-passwords
    do not mask passwords in logs (opposite of --loggingmask-passwords)

  headers:

    additional options allowed (e.g. --headers-Pragma=no-cache)